diff --git a/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py b/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
index 63fc17a70..84303ff05 100644
--- a/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
+++ b/web/pgadmin/tools/maintenance/tests/test_batch_process_maintenance.py
@@ -142,8 +142,10 @@ class BatchProcessTest(BaseTestGenerator):
     @patch('pgadmin.misc.bgprocess.processes.Process')
     @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
            'update_process_info')
-    def _check_list(self, p, maintenance_obj, update_process_info_mock,
-                    process_mock):
+    @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
+           '_operate_orphan_process')
+    def _check_list(self, p, maintenance_obj, _operate_orphan_process_mock,
+                    update_process_info_mock, process_mock):
         class TestMockProcess():
             def __init__(self, desc, args, cmd):
                 self.pid = 1
@@ -163,6 +165,7 @@ class BatchProcessTest(BaseTestGenerator):
         ]
 
         update_process_info_mock.return_value = [True, True]
+        _operate_orphan_process_mock.return_value = False
 
         ret_value = p.list()
         self.assertEqual(1, len(ret_value))
diff --git a/web/pgadmin/tools/restore/tests/test_batch_process.py b/web/pgadmin/tools/restore/tests/test_batch_process.py
index 1a9294a77..c1858b3e0 100644
--- a/web/pgadmin/tools/restore/tests/test_batch_process.py
+++ b/web/pgadmin/tools/restore/tests/test_batch_process.py
@@ -142,8 +142,10 @@ class BatchProcessTest(BaseTestGenerator):
     @patch('pgadmin.misc.bgprocess.processes.Process')
     @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
            'update_process_info')
-    def _check_list(self, p, restore_obj, update_process_info_mock,
-                    process_mock):
+    @patch('pgadmin.misc.bgprocess.processes.BatchProcess.'
+           '_operate_orphan_process')
+    def _check_list(self, p, restore_obj, _operate_orphan_process_mock,
+                    update_process_info_mock, process_mock):
         class TestMockProcess():
             def __init__(self, desc, args, cmd):
                 self.pid = 1
@@ -163,6 +165,7 @@ class BatchProcessTest(BaseTestGenerator):
         ]
 
         update_process_info_mock.return_value = [True, True]
+        _operate_orphan_process_mock.return_value = False
 
         ret_value = p.list()
         self.assertEqual(1, len(ret_value))
